curl --request POST \
--url https://server.twicecommerce.com/v1/admin/transactions/{transactionId}/refund \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"amount": 123,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://server.twicecommerce.com/v1/admin/transactions/{transactionId}/refund"
payload = {
"amount": 123,
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, idempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://server.twicecommerce.com/v1/admin/transactions/{transactionId}/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refundPayment": {
"id": "<string>",
"type": "sale",
"status": "pending",
"pricing": {
"currency": "<string>",
"total": 0,
"subtotal": 0,
"totalTaxes": 0,
"totalDiscounts": 0,
"taxExcluded": true,
"taxLines": [
{
"price": 0,
"rate": 123,
"combinedLabel": {
"def": "<string>"
},
"label": {
"def": "<string>"
},
"taxableAmount": 0
}
],
"listPrice": 0,
"originalListPrice": 0,
"additionalInfo": "<string>",
"discountCodes": {},
"manualDiscount": 0,
"deposit": 0
},
"receiptNumber": 123,
"issuedAt": "<string>",
"lines": {
"id": "<string>",
"paymentId": "<string>",
"type": "line_item",
"name": "<string>",
"quantity": 123,
"pricing": {
"currency": "<string>",
"total": 0,
"subtotal": 0,
"totalTaxes": 0,
"totalDiscounts": 0,
"taxExcluded": true,
"taxLines": [
{
"price": 0,
"rate": 123,
"combinedLabel": {
"def": "<string>"
},
"label": {
"def": "<string>"
},
"taxableAmount": 0
}
],
"listPrice": 0,
"originalListPrice": 0,
"additionalInfo": "<string>",
"discountCodes": {},
"manualDiscount": 0,
"deposit": 0
},
"createdAt": "<string>",
"updatedAt": "<string>",
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"orderLineItemId": "<string>",
"invoiceId": "<string>",
"invoiceLineId": "<string>",
"meta": "<unknown>"
},
"transactions": {
"id": "<string>",
"paymentId": "<string>",
"type": "authorize",
"status": "pending",
"method": "<string>",
"provider": "<string>",
"currency": "<string>",
"total": 123,
"occurredAt": "<string>",
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"createdAt": "<string>",
"updatedAt": "<string>",
"originalTransactionId": "<string>",
"customMethodId": "<string>",
"providerReferenceId": "<string>",
"providerResponse": "<unknown>",
"cardBrand": "<string>",
"cardLast4": "<string>",
"meta": "<unknown>"
},
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"createdAt": "<string>",
"updatedAt": "<string>",
"orderId": "<string>",
"originalPaymentId": "<string>",
"meta": "<unknown>",
"tenantInfo": {
"name": "<string>",
"legalName": "<string>",
"businessId": "<string>",
"address": "<string>",
"phone": "<string>"
}
},
"originalPayment": {
"id": "<string>",
"type": "sale",
"status": "pending",
"pricing": {
"currency": "<string>",
"total": 0,
"subtotal": 0,
"totalTaxes": 0,
"totalDiscounts": 0,
"taxExcluded": true,
"taxLines": [
{
"price": 0,
"rate": 123,
"combinedLabel": {
"def": "<string>"
},
"label": {
"def": "<string>"
},
"taxableAmount": 0
}
],
"listPrice": 0,
"originalListPrice": 0,
"additionalInfo": "<string>",
"discountCodes": {},
"manualDiscount": 0,
"deposit": 0
},
"receiptNumber": 123,
"issuedAt": "<string>",
"lines": {
"id": "<string>",
"paymentId": "<string>",
"type": "line_item",
"name": "<string>",
"quantity": 123,
"pricing": {
"currency": "<string>",
"total": 0,
"subtotal": 0,
"totalTaxes": 0,
"totalDiscounts": 0,
"taxExcluded": true,
"taxLines": [
{
"price": 0,
"rate": 123,
"combinedLabel": {
"def": "<string>"
},
"label": {
"def": "<string>"
},
"taxableAmount": 0
}
],
"listPrice": 0,
"originalListPrice": 0,
"additionalInfo": "<string>",
"discountCodes": {},
"manualDiscount": 0,
"deposit": 0
},
"createdAt": "<string>",
"updatedAt": "<string>",
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"orderLineItemId": "<string>",
"invoiceId": "<string>",
"invoiceLineId": "<string>",
"meta": "<unknown>"
},
"transactions": {
"id": "<string>",
"paymentId": "<string>",
"type": "authorize",
"status": "pending",
"method": "<string>",
"provider": "<string>",
"currency": "<string>",
"total": 123,
"occurredAt": "<string>",
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"createdAt": "<string>",
"updatedAt": "<string>",
"originalTransactionId": "<string>",
"customMethodId": "<string>",
"providerReferenceId": "<string>",
"providerResponse": "<unknown>",
"cardBrand": "<string>",
"cardLast4": "<string>",
"meta": "<unknown>"
},
"modificationSummary": {
"refundedTotal": 123,
"refundReversedTotal": 123,
"cancelledTotal": 123,
"expiredTotal": 123,
"capturedTotal": 123,
"isFullyRefunded": true,
"isPartiallyRefunded": true,
"pendingRefundsTotal": 123,
"pendingCapturesTotal": 123,
"isCancelled": true,
"isReversed": true,
"isExpired": true
},
"createdAt": "<string>",
"updatedAt": "<string>",
"orderId": "<string>",
"originalPaymentId": "<string>",
"meta": "<unknown>",
"tenantInfo": {
"name": "<string>",
"legalName": "<string>",
"businessId": "<string>",
"address": "<string>",
"phone": "<string>"
}
},
"refundedAmount": 123,
"totalRefundedForTransaction": 123,
"transactionFullyRefunded": true
}Refunds a specific transaction (full or partial). Supports multiple refunds until the transaction is fully refunded.
Authorizations
API key for the Twice API
Path Parameters
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
Body
x <= 9007199254740991^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
200
Hide child attributes
Hide child attributes
sale, deposit_auth, deposit_capture, refund, refund_reverse, cancel, expire pending, succeeded, failed, voided Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
line_item, shipping, deposit, fee, rounding Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
authorize, capture, refund, refund_reverse, cancel, expire pending, succeeded, failed Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
sale, deposit_auth, deposit_capture, refund, refund_reverse, cancel, expire pending, succeeded, failed, voided Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
line_item, shipping, deposit, fee, rounding Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
authorize, capture, refund, refund_reverse, cancel, expire pending, succeeded, failed Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Was this page helpful?